package org.dromara.system.service;

import org.dromara.system.domain.bo.SysAppletIndexSlideshowBo;
import org.dromara.system.domain.vo.SysAppletIndexSlideshowVo;

import java.util.List;

/**
 * 小程序首页轮播图 Service 接口
 *
 * @Author: Trae
 */
public interface ISysAppletIndexSlideshowService {

    /**
     * 查询全部轮播图
     */
    List<SysAppletIndexSlideshowVo> queryAll();

    /**
     * 根据ID查询
     */
    SysAppletIndexSlideshowVo queryById(Long id);

    /**
     * 新增轮播图
     */
    Boolean insertByBo(SysAppletIndexSlideshowBo bo);

    /**
     * 修改轮播图
     */
    Boolean updateByBo(SysAppletIndexSlideshowBo bo);

    /**
     * 删除轮播图
     */
    Boolean deleteByIds(List<Long> ids);

}
